#include <string>
#include <vector>
#include <fstream>  
#include <iostream>
#include <cstdio>

using namespace std;

string magic(string s)
{
	string t = "";
	for (size_t i = 0; i < s.length(); i++)
		if (isalpha(s[i])) t += tolower(s[i]);
	return t;
}


int main()
{
	ifstream cin("reading.in");
	ofstream cout("reading.out");
	int count1 = 0, count1ok = 0;
	string s;
	while (cin >> s)
	{
		s = magic(s);
		if (s.length() == 1) count1++, count1ok += (s == "a") + (s == "i");
	}
	if (count1ok * 2 >= count1) cout << "Real life\n";
	else cout << "Dreaming\n";
}